export interface UiElementEventMap extends HTMLElementEventMap {
    "longtap": Event;
    "swipeleft": Event;
    "swiperight": Event;
    "swipeup": Event;
    "swipedown": Event;
}
export interface IEventListener {
    type: keyof UiElementEventMap;
    listener: (event: any) => any;
    options?: boolean | IAddEventListenerOptions;
}
export interface IAddEventListenerOptions extends AddEventListenerOptions {
    eventKey?: EventKey;
    altKey?: boolean;
    shiftKey?: boolean;
    ctrlKey?: boolean;
}
export declare type EventKey = "Enter" | "ArrowDown" | "ArrowUp" | "ArrowLeft" | "ArrowRight";
export declare class EventListener<TType extends keyof UiElementEventMap> implements IEventListener {
    constructor(type: TType, listener: (event: UiElementEventMap[TType]) => any, options?: boolean | AddEventListenerOptions);
    type: TType;
    listener: (event: UiElementEventMap[TType]) => any;
    options: boolean | IAddEventListenerOptions;
}
